//
//  Visibility+String.swift
//  Tusker
//
//  Created by Shadowfacts on 8/29/18.
//  Copyright © 2018 Shadowfacts. All rights reserved.
//

import Pachyderm
import UIKit

extension Status.Visibility {
    
    var displayName: String {
        switch self {
        case .public:
            return "Public"
        case .unlisted:
            return "Unlisted"
        case .private:
            return "Private"
        case .direct:
            return "Direct"
        }
    }
    
    var image: UIImage {
        let name: String
        switch self {
        case .public:
            name = "globe"
        case .unlisted:
            name = "lock.open.fill"
        case .private:
            name = "lock.fill"
        case .direct:
            name = "envelope.fill"
        }
        return UIImage(systemName: name)!
    }
    
}
